Subject: bug#40278: 27.0.90; Flickering in Windows 10

From: Noam Postavsky <[email-masked]>
Date: Mon, 30 Mar 2020 12:23:42 -0400

>> To reproduce it:
>> 1) Start runemacs -Q
>> 2) Open a big C/C++ file (I used dispextern.h from emacs)
>> 3) Run this code to create the child frame (in the scratch buffer)
>> 
>> (defun open-test ()
>>   (display-buffer-in-child-frame (get-buffer-create "test child-frame")
>>                    '((child-frame-parameters . ((width . 20)
>>                                                             (height . 10)
>>                                                             (top . 200)
>>                                                             (left . 100))))))
>> 4) In the C/C++ buffer eval (open-test)
>> 5) Scroll with the mouse wheel up and down.
>
> It doesn't flicker here, sorry.
>
> Does anyone else see this?

I can see it here, especially on scroll towards the beginning of the
file (Emacs is maxing out the CPU while doing this).  It kind of looks
like the rectangle beneath the child frame gets repainted separately
from the rest.

In GNU Emacs 27.0.90 (build 1, x86_64-w64-mingw32)
 of 2020-03-30 built on VHOST2
Repository revision: c6e0981b96eaa12c28b70c949ccd6e426c13df4d
Repository branch: emacs-27
Windowing system distributor 'Microsoft Corp.', version 10.0.18363
System Description: Microsoft Windows 10 Home (v10.0.1909.18363.720)